<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: language.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>language.c</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a40023d4a43db542c09acba565b7e0409">mlanguage_list</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">3文字言語コードをリストする.  <a href="#a40023d4a43db542c09acba565b7e0409"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#ac4accaa6507d24b0b79b052d3a30bb6f">mlanguage_code</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, int len)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">言語コードを得る.  <a href="#ac4accaa6507d24b0b79b052d3a30bb6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a637581c8bf1ffded08b53e19bc838e7a">mlanguage_name_list</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> target, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> territory)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#aea98acc9b0df832a2a0fb23b7b435d58">mlanguage_text</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">与えられた言語自身で書かれた言語名を返す.  <a href="#aea98acc9b0df832a2a0fb23b7b435d58"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a150975e12ee3bd5cd44583555511ff7f">mscript_list</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">スクリプト名をリストする.  <a href="#a150975e12ee3bd5cd44583555511ff7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a333f56265a049e1310eb9cde608be5fe">mscript_language_list</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">与えられたスクリプトを用いる言語をリストする.  <a href="#a333f56265a049e1310eb9cde608be5fe"></a><br/></td></tr>
<tr><td colspan="2"><div class="groupHeader">Obsolete な関数</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpd16ae2b3a00aa14e0803c5497617f9ed"></a>言語の英語名を得る.</p>
<p>関数 <a class="el" href="m17n_8h.html#a6aa103adaaed509531857b0b1a8fb0bb">mlanguage_name()</a> は、<b>language</b> の英語名を名前とするようなシ ンボルを返す。<b>language</b> はシンボルであり、その名前は、ISO639-2 3文 字言語コード、ISO639-1 2文字言語コード、英語名、のいずれかである。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>求めている情報が得られるなら、この関数は <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> 以外のシンボルを返 す。そうでなければ <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> を返す。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="m17n_8h.html#ac4accaa6507d24b0b79b052d3a30bb6f" title="言語コードを得る.">mlanguage_code()</a>, <a class="el" href="m17n_8h.html#aea98acc9b0df832a2a0fb23b7b435d58" title="与えられた言語自身で書かれた言語名を返す.">mlanguage_text()</a>. </dd></dl>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a6aa103adaaed509531857b0b1a8fb0bb">mlanguage_name</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language)</td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a643a2aaff32921ac3e11cd6eed66f60d">Miso639_1</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="language_8c.html#a6006fc602faeca0240858b36777615a0">Miso639_2</a></td></tr>
</table>
<hr/><h2>関数</h2>
<a class="anchor" id="a40023d4a43db542c09acba565b7e0409"></a><!-- doxytag: member="language.c::mlanguage_list" ref="a40023d4a43db542c09acba565b7e0409" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mlanguage_list </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>3文字言語コードをリストする. </p>
<p>関数 <a class="el" href="m17n_8h.html#a40023d4a43db542c09acba565b7e0409" title="3文字言語コードをリストする.">mlanguage_list()</a> は、整形式 (well-formed) plist を返す。各キー は <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb" title="&quot;symbol&quot; を名前として持つシンボル.">Msymbol</a> であり、個々の値は ISO639-2 に定められた3文字言語コー ドを名前とするシンボルである。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数が返す plist は、呼び出し側が <a class="el" href="group__m17nObject.html#ga248ba287a615a2cf3cdb99c13275453b" title="管理下オブジェクトの参照数を 1 減らす.">m17n_object_unref()</a> を使っ て解放する必要がある。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="m17n_8h.html#a150975e12ee3bd5cd44583555511ff7f" title="スクリプト名をリストする.">mscript_list()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="ac4accaa6507d24b0b79b052d3a30bb6f"></a><!-- doxytag: member="language.c::mlanguage_code" ref="ac4accaa6507d24b0b79b052d3a30bb6f" args="(MSymbol language, int len)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mlanguage_code </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>len</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>言語コードを得る. </p>
<p>関数 <a class="el" href="m17n_8h.html#ac4accaa6507d24b0b79b052d3a30bb6f" title="言語コードを得る.">mlanguage_code()</a> は、<b>language</b> に対応した ISO-639 言語コード が名前であるようなシンボルを返す。<b>language</b> はシンボルであり、その 名前は、ISO639-2 3文字言語コード、ISO639-1 2文字言語コード、英語名、 のいずれかである。</p>
<p><b>len</b> は返される言語コードの種類を決定する。<b>len</b> が3の場合は ISO639-2 3文字言語コードが返される。2の場合は、もし定義されていれ ば ISO639-1 2文字言語コードが、そうでなければ <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> が返される。0 の場合は、もし定義されていれば2文字コードが、そうでなければ3文字コー ドが返される。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>もし情報が得られれば、この関数は <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> 以外のシンボルを返す。そう でなければ <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> を返す。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="m17n_8h.html#a6aa103adaaed509531857b0b1a8fb0bb">mlanguage_name()</a>, <a class="el" href="m17n_8h.html#aea98acc9b0df832a2a0fb23b7b435d58" title="与えられた言語自身で書かれた言語名を返す.">mlanguage_text()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a637581c8bf1ffded08b53e19bc838e7a"></a><!-- doxytag: member="language.c::mlanguage_name_list" ref="a637581c8bf1ffded08b53e19bc838e7a" args="(MSymbol language, MSymbol target, MSymbol script, MSymbol territory)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mlanguage_name_list </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>script</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>territory</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aea98acc9b0df832a2a0fb23b7b435d58"></a><!-- doxytag: member="language.c::mlanguage_text" ref="aea98acc9b0df832a2a0fb23b7b435d58" args="(MSymbol language)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a>* mlanguage_text </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>与えられた言語自身で書かれた言語名を返す. </p>
<p>関数 <a class="el" href="m17n_8h.html#aea98acc9b0df832a2a0fb23b7b435d58" title="与えられた言語自身で書かれた言語名を返す.">mlanguage_text()</a> は、言語 <b>language</b> で書かれた <b>language</b> の 名前を M-text の形式で返す。その言語の代表的な文字がわかっている場 合は、返される M-text の各文字に、キーが <a class="el" href="group__m17nPlist.html#ga1a22859374071a0ca66f12452afee8bd" title="&quot;mtext&quot; を名前として持つシンボル.">Mtext</a> で値がその代表的な 文字を含む M-text であるようなテキストプロパティが付加される。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>求める情報が得られた場合、この関数が返す M-text を変更したり解放し たりしてはいけない。情報が得られなかった場合は <code>NULL</code> が返される。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="m17n_8h.html#ac4accaa6507d24b0b79b052d3a30bb6f" title="言語コードを得る.">mlanguage_code()</a>, <a class="el" href="m17n_8h.html#a6aa103adaaed509531857b0b1a8fb0bb">mlanguage_name()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a150975e12ee3bd5cd44583555511ff7f"></a><!-- doxytag: member="language.c::mscript_list" ref="a150975e12ee3bd5cd44583555511ff7f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mscript_list </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>スクリプト名をリストする. </p>
<p>関数 <a class="el" href="m17n_8h.html#a150975e12ee3bd5cd44583555511ff7f" title="スクリプト名をリストする.">mscript_list()</a> は、整形式 (well-formed) plist を返す。各キー は <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb" title="&quot;symbol&quot; を名前として持つシンボル.">Msymbol</a> であり、個々の値はスクリプト名を名前とするシンボルであ る。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数が返す plist は、呼び出し側が <a class="el" href="group__m17nObject.html#ga248ba287a615a2cf3cdb99c13275453b" title="管理下オブジェクトの参照数を 1 減らす.">m17n_object_unref()</a> を使っ て解放する必要がある。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="m17n_8h.html#a333f56265a049e1310eb9cde608be5fe" title="与えられたスクリプトを用いる言語をリストする.">mscript_language_list()</a>, <a class="el" href="m17n_8h.html#a40023d4a43db542c09acba565b7e0409" title="3文字言語コードをリストする.">mlanguage_list()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a333f56265a049e1310eb9cde608be5fe"></a><!-- doxytag: member="language.c::mscript_language_list" ref="a333f56265a049e1310eb9cde608be5fe" args="(MSymbol script)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mscript_language_list </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>script</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>与えられたスクリプトを用いる言語をリストする. </p>
<p>関数 <a class="el" href="m17n_8h.html#a333f56265a049e1310eb9cde608be5fe" title="与えられたスクリプトを用いる言語をリストする.">mscript_language_list()</a> は、<b>script</b> を用いる言語をリストする。 <b>script</b> はシンボルで、その名前は Unicode Character Database に示さ れているスクリプト名をすべて小文字にしたものである。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>この関数は、整形式 (well-formed) plist を返す。各キーは <a class="el" href="group__m17nSymbol.html#ga6592d4eb3c46fe7fb8993c252b8fedeb" title="&quot;symbol&quot; を名前として持つシンボル.">Msymbol</a> であり、個々の値は ISO639-1 に定められた2文字言語コード (定義されていない場合は ISO639-2 に定められた3文字言語コード) を名 前とするシンボルである。返される plist は変更したり解放したりして はならない。<b>script</b> が未知の場合は <code>NULL</code> が返される。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="m17n_8h.html#a150975e12ee3bd5cd44583555511ff7f" title="スクリプト名をリストする.">mscript_list()</a>, <a class="el" href="m17n_8h.html#a40023d4a43db542c09acba565b7e0409" title="3文字言語コードをリストする.">mlanguage_list()</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a6aa103adaaed509531857b0b1a8fb0bb"></a><!-- doxytag: member="language.c::mlanguage_name" ref="a6aa103adaaed509531857b0b1a8fb0bb" args="(MSymbol language)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mlanguage_name </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>変数</h2>
<a class="anchor" id="a643a2aaff32921ac3e11cd6eed66f60d"></a><!-- doxytag: member="language.c::Miso639_1" ref="a643a2aaff32921ac3e11cd6eed66f60d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="language_8c.html#a643a2aaff32921ac3e11cd6eed66f60d">Miso639_1</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6006fc602faeca0240858b36777615a0"></a><!-- doxytag: member="language.c::Miso639_2" ref="a6006fc602faeca0240858b36777615a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="language_8c.html#a6006fc602faeca0240858b36777615a0">Miso639_2</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
